## osinfo_platformlist osinfo_platformlist — A list of virtualization platforms |

## Functions

OsinfoPlatformList * | osinfo_platformlist_new ()
OsinfoPlatformList * | osinfo_platformlist_new_copy ()
OsinfoPlatformList * | osinfo_platformlist_new_filtered ()
OsinfoPlatformList * | osinfo_platformlist_new_intersection ()
OsinfoPlatformList * | osinfo_platformlist_new_union ()

## Types and Values

#define | OSINFO_TYPE_PLATFORMLIST

## Description

OsinfoPlatformList is a list specialization that stores only OsinfoPlatform objects.

## Functions

### osinfo_platformlist_new ()

    OsinfoPlatformList *
    osinfo_platformlist_new (void);

Construct a new platform list that is initially empty.

#### Returns

an empty platform list.

[transfer full]

### osinfo_platformlist_new_copy ()

    OsinfoPlatformList *
    osinfo_platformlist_new_copy (OsinfoPlatformList *source);

`osinfo_platformlist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new platform list that is filled with platforms from `source`

#### Parameters

source | the platform list to copy |

#### Returns

a copy of the platform list.

[transfer full]

### osinfo_platformlist_new_filtered ()

    OsinfoPlatformList *
    osinfo_platformlist_new_filtered (OsinfoPlatformList *source,
                                      OsinfoFilter *filter);

`osinfo_platformlist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new platform list that is filled with platforms from `source` that match `filter`

#### Parameters

source | the platform list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the platform list.

[transfer full]

### osinfo_platformlist_new_intersection ()

    OsinfoPlatformList *
    osinfo_platformlist_new_intersection (OsinfoPlatformList *sourceOne,
                                          OsinfoPlatformList *sourceTwo);

`osinfo_platformlist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new platform list that is filled with only the platforms that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first platform list to copy |
sourceTwo | the second platform list to copy |

#### Returns

an intersection of the two platform lists.

[transfer full]

### osinfo_platformlist_new_union ()

    OsinfoPlatformList *
    osinfo_platformlist_new_union (OsinfoPlatformList *sourceOne,
                                   OsinfoPlatformList *sourceTwo);

`osinfo_platformlist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new platform list that is filled with all the platforms that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first platform list to copy |
sourceTwo | the second platform list to copy |

#### Returns

a union of the two platform lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_PLATFORMLIST

    #define OSINFO_TYPE_PLATFORMLIST (osinfo_platformlist_get_type ())

## See Also

OsinfoList, OsinfoPlatform